Bug 1071378 - glib2-devel's gtester-report failure since move to python3
glib2-devel's gtester-report failure since move to python3
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: GNOME
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Dominique Leuenberger
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-05 21:19 UTC by Bruce Rogers
Modified: 2019-05-22 00:44 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bruce Rogers 2017-12-05 21:19:01 UTC
As near as I can tell, since the move to python3, gtester-report gets the following error when processing the results of the qemu-testsuite package  build:

[ 3157s]   File "/usr/bin/gtester-report", line 78, in html_indent_string
[ 3157s]     for i in range (0, (n + 1) / 2):
[ 3157s] TypeError: 'float' object cannot be interpreted as an integer

See, for example the build results of qemu-testsuite in Factory here: https://build.opensuse.org/package/live_build_log/openSUSE:Factory/qemu-testsuite/standard/x86_64

This failure began independent of any changes to the qemu / qemu-testsuite package, and seems related to the switch to python3.
Comment 1 Dominique Leuenberger 2017-12-06 07:59:37 UTC
thanks for the report!
Comment 2 Dominique Leuenberger 2017-12-06 08:09:06 UTC
Got it patches in my branch - currently copied also qemu into the branch to validate the result.
Comment 3 Dominique Leuenberger 2017-12-06 13:13:12 UTC
https://build.opensuse.org/request/show/554787

Fixed glib2 is on the way to Tumbleweed (patch merged upstream)